Hi all,
the past few days I've been trying to get RubyCocoa working under
Panther; I had an 'old' install, running with ruby 1.6. The sample
..apps were all working, but the scripts had trouble finding
'osx/cocoa' and 'rubycocoa'; after a lot of fiddling, I decided to
install dl and build ruby 1.8, which it did, out of the box. Dl and
building RubyCocoa 0.4.0 all went well too (with some changes in the
source for obsolete constants), until I performed the optional
unit-tests:

ruby -I../lib testall.rb
.../lib/osx/cocoa.rb:11:in `require': No such file to load -- rubycocoa
(LoadError)
        from ../lib/osx/cocoa.rb:11
        from ./tc_nsattributedstring.rb:12:in `require'
        from ./tc_nsattributedstring.rb:12
        from testall.rb:4:in `require'
        from testall.rb:4
        from testall.rb:3:in `each'
        from testall.rb:3

Same all over again?!

After installing, and trying a sample script I get the following
error:

ruby fontnames.rb 
objc: failed objc_getClass(NSObject) for
NSServicesPasteboard->isa->isa
objc: please link appropriate classes in your program
Trace/BPT trap

SimpleApp.app runs fine, as with the older versions, so now I'm
stumped again ... it must be something with path-settings ...???

Anyone solved this problem, or has some pointers/clues???

thx, Harry